diff --recursive --unified=5 src/main-ros.c src-riscos/main-ros.c
--- src/main-ros.c	Sun May 12 17:18:12 2002
+++ src-riscos/main-ros.c	Thu May 30 16:52:56 2002
@@ -648,20 +638,23 @@
  | to save_player in the panic save function(s) (search for "panic save")
  | to a call to save_player_panic_acn.  You can declare a prototype for
  | the function if you like.
  */
 
-extern int save_player_panic_acn( void )
+extern int save_player_panic_acn(void)
 {
-	char *e,*l;
+	char *e, *l;
 
 	/* Find the final / in the savefile name */
-	for ( l = e = savefile; *e; e++ )
-		if ( *e=='/' ) { l=e+1; }
+	for (l = e = savefile; *e; e++)
+		if (*e == '/')
+		{
+			l = e + 1;
+		}
 
 	/* Write over the current leaf with the special panic one */
-	strcpy(l,"!!PANIC!!");
+	strcpy(l, "!!PANIC!!");
 
 	/* save the game */
 	return save_player();
 }
 
@@ -670,41 +663,41 @@
 /* Error reporting, etc.													*/
 /*--------------------------------------------------------------------------*/
 
 
 /* Tell the user something important */
-static void plog_hook( cptr str )
+static void plog_hook(cptr str)
 {
-	Msgs_Report( 1, "err.plog", str );
+	Msgs_Report(1, "err.plog", str);
 }
 
 /* Tell the user something, then quit */
-static void quit_hook( cptr str )
+static void quit_hook(cptr str)
 {
 	/* str may be null */
-	if ( str )
-		Msgs_Report( 1, "err.quit", str );
+	if (str)
+		Msgs_Report(1, "err.quit", str);
 	exit(0);
 }
 
 /* Tell the user something then crash ;) */
-static void core_hook( cptr str )
+static void core_hook(cptr str)
 {
-	Msgs_Report( 1, "err.core", str );
+	Msgs_Report(1, "err.core", str);
 
-	if ( game_in_progress && character_generated )
+	if (game_in_progress && character_generated)
 		save_player_panic_acn();
 
 	quit(NULL);
 }
 
-static void debug( char *fmt, ... )
+static void debug(char *fmt, ...)
 {
 	va_list ap;
 	char buffer[260];
-	va_start( ap, fmt );
-	vsprintf(buffer,fmt,ap);
+	va_start(ap, fmt);
+	vsprintf(buffer, fmt, ap);
 	va_end(ap);
 	plog(buffer);
 }
 
 
@@ -719,62 +712,62 @@
 
 /*--------------------------------------------------------------------------*/
 /* File handling															*/
 /*--------------------------------------------------------------------------*/
 
-static int myFile_Open( const char *name, int mode )
+static int myFile_Open(const char *name, int mode)
 {
 	int handle;
-	if ( SWI( 2,1, SWI_OS_Find, mode, name, /**/ &handle ) )
+	if (SWI(2, 1, SWI_OS_Find, mode, name, /**/ &handle))
 		return 0;
 	return handle;
 }
 
-static int myFile_Size( const char *name )
+static int myFile_Size(const char *name)
 {
 	int size, type;
-	if ( SWI( 2,5, SWI_OS_File, 17, name, /**/ &type,0,0,0, &size ) )
+	if (SWI(2, 5, SWI_OS_File, 17, name, /**/ &type, 0, 0, 0, &size))
 		return -2;
 	return type ? size : -1;
 }
 
-static os_error *myFile_Close( const int handle )
+static os_error *myFile_Close(const int handle)
 {
-	return SWI( 2,0, SWI_OS_Find, 0, handle );
+	return SWI(2, 0, SWI_OS_Find, 0, handle);
 }
 
-static os_error *myFile_Seek( const int handle, const int offset )
+static os_error *myFile_Seek(const int handle, const int offset)
 {
-	return SWI( 3,0, SWI_OS_Args, 1, handle, offset );
+	return SWI(3, 0, SWI_OS_Args, 1, handle, offset);
 }
 
-static int myFile_WriteBytes( const int handle, void *buf, const int n )
+static int myFile_WriteBytes(const int handle, void *buf, const int n)
 {
 	int ntf;
-	if ( SWI( 4,4, SWI_OS_GBPB, 2,handle,buf,n, /**/ NULL,NULL,NULL,&ntf ) )
+	if (SWI(4, 4, SWI_OS_GBPB, 2, handle, buf, n, /**/ NULL, NULL, NULL, &ntf))
 		return n;
 	return ntf;
 }
 
-static int myFile_ReadBytes( const int handle, void *buf, const int n )
+static int myFile_ReadBytes(const int handle, void *buf, const int n)
 {
 	int ntf;
-	if ( SWI( 4,4, SWI_OS_GBPB, 4,handle,buf,n, /**/ NULL,NULL,NULL,&ntf ) )
+	if (SWI(4, 4, SWI_OS_GBPB, 4, handle, buf, n, /**/ NULL, NULL, NULL, &ntf))
 		return n;
 	return ntf;
 }
 
-static os_error *myFile_SetType( const char *n, const int type )
+static os_error *myFile_SetType(const char *n, const int type)
 {
-	return SWI( 3,0, SWI_OS_File, 18, n, type );
+	return SWI(3, 0, SWI_OS_File, 18, n, type);
 }
 
 
-static int myFile_Extent( const int handle )
+static int myFile_Extent(const int handle)
 {
 	int ext;
-	if ( SWI( 2,3, SWI_OS_Args, 2, handle, /**/ NULL, NULL, &ext ) )
+	if (SWI(2, 3, SWI_OS_Args, 2, handle, /**/ NULL, NULL, &ext))
 		return -1;
 	return ext;
 }
 
 
@@ -783,151 +776,165 @@
  |
  | The filenames should be specified in RISC OS style.
  |
  | Returns -1 if 'a' is newer than 'b'.
  */
-static int file_is_newer( const char *a, const char *b )
+static int file_is_newer(const char *a, const char *b)
 {
 	os_error *e;
-	struct { unsigned int msw; unsigned int lsw; } a_time;
-	struct { unsigned int msw; unsigned int lsw; } b_time;
+	struct
+	{
+	unsigned int msw;
+	unsigned int lsw;
+	}
+	a_time;
+	struct
+	{
+	unsigned int msw;
+	unsigned int lsw;
+	}
+	b_time;
 	int a_type, b_type;
 
 	/* Get the datestamp of the 'a' file */
-	e = SWI
-	(
-		2, 4,
-		SWI_OS_File,
-		/* In */
-			17,
-			(int) a,
-		/* Out */
+	e = SWI(2, 4, SWI_OS_File,
+			/* In */
+			17, (int)a,
+			/* Out */
 			&a_type,			/* object type */
-			NULL,
-			&(a_time.msw),		/* Load Addr */
+			NULL, &(a_time.msw),	/* Load Addr */
 			&(a_time.lsw)		/* Exec Addr */
-	);
-	if ( e )	{ core( e->errmess ); }
+		);
+	if (e)
+	{
+		core(e->errmess);
+	}
 
 
 	/* Get the datestamp of the 'b' file */
-	e = SWI
-	(
-		2, 4,
-		SWI_OS_File,
-		/* In */
-			17,
-			(int) b,
-		/* Out */
+	e = SWI(2, 4, SWI_OS_File,
+			/* In */
+			17, (int)b,
+			/* Out */
 			&b_type,			/* object type */
-			NULL,
-			&(b_time.msw),		/* Load Addr */
+			NULL, &(b_time.msw),	/* Load Addr */
 			&(b_time.lsw)		/* Exec Addr */
-	);
-	if ( e )	{ core( e->errmess ); }
+		);
+	if (e)
+	{
+		core(e->errmess);
+	}
 
 	/* If 'b' doesn't exist then 'b' is OOD. */
-	if ( !b_type ) { return -1; }
+	if (!b_type)
+	{
+		return -1;
+	}
 	/* If 'a' doesn't exist then 'b' isn't OOD. (?) */
-	if ( !a_type ) { return 0; }
+	if (!a_type)
+	{
+		return 0;
+	}
 
 	/* Compare the timestamps (assume that the files are typed) */
-	if ( (a_time.msw & 0xff) >= (b_time.msw & 0xff) )
-		if ( (a_time.lsw) > (b_time.lsw) )
-			return -1;								/* OOD */
-	return 0;								/* Not OOD */
+	if ((a_time.msw & 0xff) >= (b_time.msw & 0xff))
+		if ((a_time.lsw) > (b_time.lsw))
+			return -1;			/* OOD */
+	return 0;					/* Not OOD */
 }
 
 
 /*
  | As fprintf, but outout to all files (if their handles are non zero).
  | NB: void type.
  */
-static void f2printf( FILE *a, FILE *b, char *fmt, ... )
+static void f2printf(FILE *a, FILE *b, char *fmt, ...)
 {
 	va_list ap;
 	char buffer[2048];
-	va_start(ap,fmt);
-	vsprintf(buffer,fmt,ap);
+	va_start(ap, fmt);
+	vsprintf(buffer, fmt, ap);
 	va_end(ap);
-	if ( a ) { fprintf(a,buffer); }
-	if ( b ) { fprintf(b,buffer); }
+	if (a)
+	{
+		fprintf(a, buffer);
+	}
+	if (b)
+	{
+		fprintf(b, buffer);
+	}
 	va_end(ap);
 }
 
 
 
 
 /*--------------------------------------------------------------------------*/
 /* Clean up (ie. close files, etc). 										*/
 /*--------------------------------------------------------------------------*/
 
-static void final_acn( void )
+static void final_acn(void)
 {
 	int i;
 
-	for ( i=0; i<openfiles; i++ )
+	for (i = 0; i < openfiles; i++)
 		myFile_Close(filehandle[i]);
 
-	if ( fullscreen_mode )
+	if (fullscreen_mode)
 	{
 		/* Restore the screen mode */
-		Wimp_SetMode( old_screenmode );
+		Wimp_SetMode(old_screenmode);
 
 		/* Restore the various soft keys */
-		set_keys( FALSE );
+		set_keys(FALSE);
 
 		/*
-		 | Hack: Early WIMP versions do the "Press SPACE" thing, or something
-		 | odd.  It's bloody annoying, whatever it is...
+		   | Hack: Early WIMP versions do the "Press SPACE" thing, or something
+		   | odd.  It's bloody annoying, whatever it is...
 		 */
-		if ( event_wimpversion < 300 )
+		if (event_wimpversion < 300)
 			Wimp_CommandWindow(-1);
 	}
 
-	if ( flush_scrap && *scrap_path )
+	if (flush_scrap && *scrap_path)
 	{
 		char tmp[512];
-		strcpy(tmp,scrap_path);
-		tmp[strlen(tmp)-1] = 0;							/* Remove trailing dot */
-		SWI( 4,0, SWI_OS_FSControl, 27, tmp, 0, 1 );	/* ie. "*Wipe <scrapdir> r~c~v~f" */
+		strcpy(tmp, scrap_path);
+		tmp[strlen(tmp) - 1] = 0;	/* Remove trailing dot */
+		SWI(4, 0, SWI_OS_FSControl, 27, tmp, 0, 1);	/* ie. "*Wipe <scrapdir> r~c~v~f" */
 	}
 
 	Stop_Hourglass;
 }
 
 
-
-
-
-
 /*--------------------------------------------------------------------------*
- | Various UNIX-like support funtions                                       |
+ | Various UNIX-like support funtions									   |
  *--------------------------------------------------------------------------*/
 
 /*
  | Hack: determine whether filenames should be truncated to 10 chars or not.
  |
  | Needed since RO2 (and RO3 with Truncate configured off) will return
  | errors instead of automatically truncating long filenames.
  */
-static int truncate_names( void )
+static int truncate_names(void)
 {
-	int r1,r2;
+	int r1, r2;
 
 	/* First, check the OS version */
-	OS_Byte( osbyte_READOSIDENTIFIER,0x00,0xff, &r1, &r2 );
+	OS_Byte(osbyte_READOSIDENTIFIER, 0x00, 0xff, &r1, &r2);
 
 	/* Assume that we need to truncate if running under RO2 */
-	if ( r1==0xa1 || r1==0xa2 )
+	if (r1 == 0xa1 || r1 == 0xa2)
 		return TRUE;
 
 	/* Okay, so we've got RO3 (or later), so check the CMOS RAM */
-	OS_Byte( osbyte_READCMOSRAM,28,0, &r1, &r2 );
+	OS_Byte(osbyte_READCMOSRAM, 28, 0, &r1, &r2);
 
 	/* Bit 0 of byte 28 is the Truncate flag */
-	return ! (r2 & 1);
+	return !(r2 & 1);
 }
 
 
 /*
  | The PathName translation is now done by two separate functions:
@@ -940,289 +947,327 @@
  | Note that the two functions are identical but for the truncation
  | check so all that's really been done is that translate_name() now
  | takes an extra argument: 'trunc' that controls whether truncation
  | is applied, and riscosify and unixify just call translate_name().
  */
-
-
-static char *translate_name( const char *path, int trunc )
+static char *translate_name(const char *path, int trunc)
 {
 	static char buf[260];
-	char c,*p;
+	char c, *p;
 
 	/* Copy 'path' into 'buf', swapping dots and slashes */
 	p = buf;					/* Output position */
 	do
 	{
 		c = *path++;
-		if ( c=='/' )
+		if (c == '/')
 			c = '.';
-		else if ( c=='.' )
+		else if (c == '.')
 			c = '/';
 		*p++ = c;
-	} while (c);				/* Terminator /is/ copied */
+	}
+	while (c);					/* Terminator /is/ copied */
 
 	/*
-	 | When saving a game, the old game is renamed as
-	 | "SavedGame.old", the new one is saved as "SavedGame.new",
-	 | "SavedGame.old" is deleted, "SavedGame.new" is renamed
-	 | as "SavedGame". This will go wrong on a Filecore based filing
-	 | system if the saved game has a leafname > 8 chars.
+	   | When saving a game, the old game is renamed as
+	   | "SavedGame.old", the new one is saved as "SavedGame.new",
+	   | "SavedGame.old" is deleted, "SavedGame.new" is renamed
+	   | as "SavedGame". This will go wrong on a Filecore based filing
+	   | system if the saved game has a leafname > 8 chars.
 	 */
 
-	if ( (p=strstr(buf, "/old"))==NULL ) { p=strstr(buf, "/new"); }
-	if ( !p )
+	if ((p = strstr(buf, "/old")) == NULL)
+	{
+		p = strstr(buf, "/new");
+	}
+	if (!p)
 	{
-		ftype=0xffd;
+		ftype = 0xffd;
 	}
 	else
 	{
-		char *q=strrchr(buf, '.');
+		char *q = strrchr(buf, '.');
 		if (q)
-			if (p-q > 6) { memmove(q+6, p, 5); }
-		ftype=vfiletype;
+			if (p - q > 6)
+			{
+				memmove(q + 6, p, 5);
+			}
+		ftype = vfiletype;
 	}
 
 	/*
-	 | Hack: Do we need to truncate the leafname?
+	   | Hack: Do we need to truncate the leafname?
 	 */
-	if ( trunc )
+	if (trunc)
 	{
-		if ( truncate_names() )
+		if (truncate_names())
 		{
 			char *a, *b;
 			/*
-			 | Assume that only the leafname needs attention
-			 | (this should be true for any variant)
+			   | Assume that only the leafname needs attention
+			   | (this should be true for any variant)
 			 */
-			for ( a = b = buf ; *a; a++ )
-				if ( *a == '.' )
-					b = a+1;
+			for (a = b = buf; *a; a++)
+				if (*a == '.')
+					b = a + 1;
 			/*
-			 | Now b points to the start of the leafname.
-			 | If the leafname is >10 chars, write over the 10th with a
-			 | terminator.
+			   | Now b points to the start of the leafname.
+			   | If the leafname is >10 chars, write over the 10th with a
+			   | terminator.
 			 */
-			if ( strlen(b) >10 ) { b[10] = 0; };
+			if (strlen(b) > 10)
+			{
+				b[10] = 0;
+			};
 		}
 	}
 
 	return buf;
 }
 
 
-static char *riscosify_name( const char *path )
+extern char *riscosify_name(const char *path)
 {
-	return translate_name( path, TRUE );
+	return translate_name(path, TRUE);
 }
 
-static char *unixify_name( const char *path )
+static char *unixify_name(const char *path)
 {
-	return translate_name( path, FALSE );
+	return translate_name(path, FALSE);
 }
 
 
 /*--------------------------------------------------------------------------*/
 
 
 /* Open a file [as fopen()] but translate the requested filename first */
 
-FILE *my_fopen( const char *f, const char *m )
+FILE *my_fopen(const char *f, const char *m)
 {
 	FILE *fp;
-	char *n = riscosify_name(f);		/* translate for RO */
+	char *n = riscosify_name(f);	/* translate for RO */
 
 	/* Try to open the file */
-	fp = fopen( n, m );
+	fp = fopen(n, m);
 
 	/* If it succeded and the file was opened for binary output
-	 | then set the type according to the 'ftype' hack.
-	 | NB: This will fail on some filing systems.
+	   | then set the type according to the 'ftype' hack.
+	   | NB: This will fail on some filing systems.
 	 */
 
-	if ( fp && strstr(m,"wb") ) { myFile_SetType( n, ftype ); }
+	if (fp && strstr(m, "wb"))
+	{
+		myFile_SetType(n, ftype);
+	}
 
 	return fp;
 }
 
 
 
 
 /* Close a file, a la fclose() */
 
-errr my_fclose( FILE *fp )
+errr my_fclose(FILE *fp)
 {
 	/* Close the file, return 1 for an error, 0 otherwise */
 	return fclose(fp) ? 1 : 0;
 }
 
 
 /* Open/Create a file */
 
-int fd_make( cptr file, int mode )
+int fd_make(cptr file, int mode)
 {
 	char *real_path;
 	int handle;
 
 	/* Translate the filename into a RISCOS one */
-	real_path = riscosify_name( file );
+	real_path = riscosify_name(file);
 
 	/* Try to OPENOUT the file (no path, error if dir or not found) */
-	handle = myFile_Open( real_path, 0x8f );
+	handle = myFile_Open(real_path, 0x8f);
 
 	/* Check for failure */
-	if ( !handle ) { return -1; }
+	if (!handle)
+	{
+		return -1;
+	}
 
 	/* Try to set the filetype according to the ftype hack */
-	myFile_SetType( real_path, ftype );
+	myFile_SetType(real_path, ftype);
 
 	/* We keep track of up to 16 open files at any given time */
-	if ( openfiles<16 )
+	if (openfiles < 16)
 		filehandle[openfiles++] = handle;
-
-	return handle;
+                                                                                
+	return (handle);
 }
 
 
 /* Delete a file [as remove()] */
-errr fd_kill( cptr file )
+errr fd_kill(cptr file)
 {
 	return remove(riscosify_name(file)) ? 1 : 0;
 }
 
 
 /* Rename a file [as rename()] */
-errr fd_move( cptr old, cptr new )
+errr fd_move(cptr old, cptr new)
 {
 	char new_[260];
-	strcpy(new_,riscosify_name(new));
-	return rename( riscosify_name(old), new_ ) ? 1 : 0;
+	strcpy(new_, riscosify_name(new));
+	return rename(riscosify_name(old), new_) ? 1 : 0;
 }
 
 /* Open a file */
-int fd_open( cptr path, int flags )
+int fd_open(cptr path, int flags)
 {
 	int handle = 0;
-	char *real_path = riscosify_name( path );
+	char *real_path = riscosify_name(path);
 
-	switch ( flags & 0x0f )
+	switch (flags & 0x0f)
 	{
-		case O_RDONLY :				/* Read only */
-			handle = myFile_Open( real_path, 0x4f );
+		case O_RDONLY:			/* Read only */
+			handle = myFile_Open(real_path, 0x4f);
 			break;
-		case O_WRONLY :				/* Write only */
-		case O_RDWR :				/* Read/Write */
-			handle = myFile_Open( real_path, 0xcf );
+		case O_WRONLY:			/* Write only */
+		case O_RDWR:			/* Read/Write */
+			handle = myFile_Open(real_path, 0xcf);
 	}
 
 	/* Check for failure */
-	if ( !handle ) { return -1; }
+	if (!handle)
+	{
+		return (-1);
+	}
 
 	/* Keep track of upto 16 open files... */
-	if ( openfiles<16 )
+	if (openfiles < 16)
 		filehandle[openfiles++] = handle;
 
-	return handle;
+	return (handle);
 }
 
 
 /* Close a file opened with fd_make or fd_open */
-errr fd_close( int handle )
+errr fd_close(int handle)
 {
 	int i;
 
-	if ( handle<=0 ) { return -1; }		/* Illegal handle */
+	if (handle <= 0)
+	{
+		return -1;
+	}							/* Illegal handle */
 
 	/* Try to close the file */
-	if ( myFile_Close(handle) ) { return 1; }
+	if (myFile_Close(handle))
+	{
+		return 1;
+	}
 
 	/* Mark the file as closed in our array of file handles */
 	openfiles--;
 	/* Find the entry in the array (if it exists) */
-	for ( i = 0; i<16 ; i++ )
-		if ( filehandle[i] == handle ) { break; }
+	for (i = 0; i < 16; i++)
+		if (filehandle[i] == handle)
+		{
+			break;
+		}
 	/* Shuffle the remaining entries down */
-	for ( ; i<openfiles ; i++ )
-		filehandle[i] = filehandle[i+1];
+	for (; i < openfiles; i++)
+		filehandle[i] = filehandle[i + 1];
 
-	return 0;							/* Sucess */
+	return 0;					/* Sucess */
 }
 
 
 
 /* Read some bytes from a file */
-errr fd_read( int handle, char *buf, huge nbytes )
+errr fd_read(int handle, char *buf, size_t nbytes)
 {
 	int unread;
 
-	if ( handle<=0 ) { return -1; }			/* Illegal handle */
-	unread = myFile_ReadBytes( handle, buf, (int) nbytes );
+	if (handle <= 0)
+	{
+		return -1;
+	}							/* Illegal handle */
+	unread = myFile_ReadBytes(handle, buf, (int)nbytes);
 
 	return unread ? 1 : 0;
 }
 
 
 /* Write some bytes to a file */
-errr fd_write( int handle, const char *buf, huge nbytes )
+errr fd_write(int handle, const char *buf, size_t nbytes)
 {
 	int unwritten;
 
-	if ( handle<=0 ) { return -1; }			/* Illegal handle */
-	unwritten = myFile_WriteBytes( handle, (void*) buf, (int) nbytes );
+	if (handle <= 0)
+	{
+		return -1;
+	}							/* Illegal handle */
+	unwritten = myFile_WriteBytes(handle, (void *)buf, (int)nbytes);
 
 	return unwritten ? 1 : 0;
 }
 
 
 /* Seek in a file */
-errr fd_seek( int handle, long offset )
+errr fd_seek(int handle, long offset)
 {
 	os_error *e;
 
-	if ( handle<=0 ) { return -1; }			/* Illegal handle */
-	e = myFile_Seek( handle, (int) offset );
+	if (handle <= 0)
+	{
+		return -1;
+	}							/* Illegal handle */
+	e = myFile_Seek(handle, (int)offset);
 
 	return e ? 1 : 0;
 }
 
 
 /* RISC OS provides no file locking facilities, so: */
-errr fd_lock( int handle, int what )
+errr fd_lock(int handle, int what)
 {
 	return 0;
 }
 
 
 /* Get a temporary filename */
-errr path_temp( char *buf, int max )
+errr path_temp(char *buf, int max)
 {
 
 	/*
-	 | New in 1.25 - use the scrap path we decided on earlier, or
-	 | fall back on tmpnam() if that fails for some reason.
+	   | New in 1.25 - use the scrap path we decided on earlier, or
+	   | fall back on tmpnam() if that fails for some reason.
 	 */
-	if ( *scrap_path )
+	if (*scrap_path)
 	{
 		time_t t;
 		int m;
 		char tmp[512];
 
 		time(&t);
-		for ( m=0; m<80; m++ )
+		for (m = 0; m < 80; m++)
 		{
-			sprintf(tmp,"%s0x%08x",scrap_path,(int) t + m );
-			if ( myFile_Size(tmp) == -1 ) { break; }
+			sprintf(tmp, "%s0x%08x", scrap_path, (int)t + m);
+			if (myFile_Size(tmp) == -1)
+			{
+				break;
+			}
 		}
 
-		if ( m<80 )
+		if (m < 80)
 		{
-			strncpy(buf, unixify_name(tmp), max );
+			strncpy(buf, unixify_name(tmp), max);
 			return 0;
 		}
 	}
 
-	strncpy(buf, unixify_name(tmpnam(NULL)), max );
+	strncpy(buf, unixify_name(tmpnam(NULL)), max);
 	return 0;
 }
 
 
 
@@ -1240,11 +1285,11 @@
  * using the "parse" function above.
  */
 errr path_build(char *buf, int max, cptr path, cptr file)
 {
 	/* Special file */
-	if ( file[0] == '~')
+	if (file[0] == '~')
 	{
 		/* Use the file itself */
 		strnfmt(buf, max, "%s", file);
 	}
 
@@ -1289,34 +1334,41 @@
  | Cache the system font as fonts[0]
  | Returns 1 for sucess or 0 for failure.
  | NB: The n_bpp data is *not* cached, just the 1bpp data and font info.
  | Also, the usage is never affected.
  */
-static int cache_system_font( void )
+static int cache_system_font(void)
 {
 	ZapFont *sys = SYSTEM_FONT;
 	ZapRedrawBlock zrb;
-	char	work_area[16];
-	int		i;
+	char work_area[16];
+	int i;
 
 	/* Cache the system font (as fonts[0]) */
-	if ( sys->bpp_1 ) { f_free(sys->bpp_1); sys->bpp_1=0; }
-	sys->bpp_1 = f_malloc( 8*256 );			/* 2K */
-	if ( !sys->bpp_1 ) { return 0; }
+	if (sys->bpp_1)
+	{
+		f_free(sys->bpp_1);
+		sys->bpp_1 = 0;
+	}
+	sys->bpp_1 = f_malloc(8 * 256);	/* 2K */
+	if (!sys->bpp_1)
+	{
+		return 0;
+	}
 
 	/* Mung so that undefined characters show up as inverted ?s */
 	work_area[3] = '?';
-	SWI( 2,0, SWI_OS_Word, 10, work_area+3 );
-	for ( i=4; i<12; i++ )
-		work_area[i] ^= 255;				/* invert colours */
-	SWI( 4,0, SWI_ZapRedraw_ReverseBitmaps, 0, work_area+4, work_area+4, 8 );
-	for ( i=0; i<0x20; i++ )
-		memcpy(((char*)sys->bpp_1)+i*8,work_area+4,8);
+	SWI(2, 0, SWI_OS_Word, 10, work_area + 3);
+	for (i = 4; i < 12; i++)
+		work_area[i] ^= 255;	/* invert colours */
+	SWI(4, 0, SWI_ZapRedraw_ReverseBitmaps, 0, work_area + 4, work_area + 4, 8);
+	for (i = 0; i < 0x20; i++)
+		memcpy(((char *)sys->bpp_1) + i * 8, work_area + 4, 8);
 
 	/* Read the system font */
 	zrb.r_workarea = work_area;
-	SWI( 2,0, SWI_ZapRedraw_ReadSystemChars, sys->bpp_1, &zrb );
+	SWI(2, 0, SWI_ZapRedraw_ReadSystemChars, sys->bpp_1, &zrb);
 
 	/* Set up some little bits of info */
 	sys->name = "<System>";
 	sys->w = sys->h = 8;
 	sys->f = 0;
@@ -1328,43 +1380,46 @@
 
 
 /*
  | Prepare the font system
  */
-static void initialise_fonts( void )
+static void initialise_fonts(void)
 {
 	/* Initialise the array */
-	memset(fonts,0,sizeof(fonts));			/* Clear to zeroes */
+	memset(fonts, 0, sizeof(fonts));	/* Clear to zeroes */
 
 	/* Cache the system font */
 	cache_system_font();
-	fonts[0].usage = 0;							/* No users */
+	fonts[0].usage = 0;			/* No users */
 }
 
 
 /*
  | Find a font (by name) in the array.
  | Returns 0 if the font isn't loaded, or a ZapFont* for it if it is.
  */
-static ZapFont *find_font_by_name( char *name )
+static ZapFont *find_font_by_name(char *name)
 {
 	int i;
-	for ( i=0; i<=MAX_TERM_DATA; i++ )
-		if ( fonts[i].name )
-			if ( !strcmp(fonts[i].name,name) )
+	for (i = 0; i <= MAX_TERM_DATA; i++)
+		if (fonts[i].name)
+			if (!strcmp(fonts[i].name, name))
 				return &(fonts[i]);
 	return NULL;
 }
 
 /*
  | Find a free slot in the fonts array
  */
-static ZapFont *find_free_font( void )
+static ZapFont *find_free_font(void)
 {
 	int i;
-	for ( i=1; i<=MAX_TERM_DATA; i++ )
-		if ( !fonts[i].name ) { return &(fonts[i]); }
+	for (i = 1; i <= MAX_TERM_DATA; i++)
+		if (!fonts[i].name)
+		{
+			return &(fonts[i]);
+		}
 	return NULL;
 }
 
 
 
@@ -1372,99 +1427,115 @@
  | Load a font from disc and set up the header info, etc.
  | NB: doesn't cache the nbpp data, just the 1bpp data.
  | (Sets usage to 1)
  | Returns NULL if failed.
  */
-static ZapFont *load_font( char *name, ZapFont *f )
+static ZapFont *load_font(char *name, ZapFont *f)
 {
-	int handle,extent;
+	int handle, extent;
 	char path[260];
-	struct { char id[8]; int w,h,f,l,r1,r2; } header;
+	struct
+	{
+		char id[8];
+		int w, h, f, l, r1, r2;
+	}
+	header;
 	char *font_path;
 	char *t;
-	char *real_name = name;		/* need to preserve this */
+	char *real_name = name;	/* need to preserve this */
 
 	/*
-	 | 1.10 - the first element of the name determines the path to load
-	 | the font from.
+	   | 1.10 - the first element of the name determines the path to load
+	   | the font from.
 	 */
 
-	/* The font paths start <VARIANT>$ */
-	t = path + sprintf(path,"%s$",VARIANT);
+	/* The font paths start <RISCOS_VARIANT>$ */
+	t = path + sprintf(path, "%s$", RISCOS_VARIANT);
 
 	/* Copy the path specifier and move 'name' past it */
-	for ( ; *name!='.' ; *t++=*name++ )
-		;
-	name++;			/* name now points to the font name-proper */
+	for (; *name != '.'; *t++ = *name++) ;
+
+	/* After this, the name now points to the font name proper */
+	name++;
 
 	/* Append the end of the path name */
-	strcpy(t,"$FontPath");
+	strcpy(t, "$FontPath");
 
 	/* Get the path setting */
-	font_path = getenv( path );
-	if ( !font_path || !*font_path )
-		strcpy(path,"null:$.");
+	font_path = getenv(path);
+	if (!font_path || !*font_path)
+		strcpy(path, "null:$.");
 	else
 	{
-		strcpy(path,font_path);
-		for ( t=path; *t>' '; t++ )
+		strcpy(path, font_path);
+		for (t = path; *t > ' '; t++)
 			;
-		if ( t[-1]!='.' && t[-1]!=':' ) { *t++='.'; }
-		*t=0;
+		if (t[-1] != '.' && t[-1] != ':')
+		{
+			*t++ = '.';
+		}
+		*t = 0;
 	}
-	strcat(path,name);
+	strcat(path, name);
 
 
 	/* Open the file */
-	handle = myFile_Open( path, 0x4f );
-	if ( !handle ) { return NULL; }
+	handle = myFile_Open(path, 0x4f);
+	if (!handle)
+	{
+		return NULL;
+	}
 
 	/* Read the header */
-	if ( myFile_ReadBytes( handle, &header, sizeof(header) ) )
+	if (myFile_ReadBytes(handle, &header, sizeof(header)))
 	{
 		myFile_Close(handle);
 		return NULL;
 	}
 
 	/* Check that it's a zapfont */
-	if ( strncmp(header.id,"ZapFont\r",8) )
+	if (strncmp(header.id, "ZapFont\r", 8))
 	{
 		myFile_Close(handle);
 		return NULL;
 	}
 
 	/* Calculate the size of the 1bpp data */
-	extent = myFile_Extent( handle ) - sizeof(header);
+	extent = myFile_Extent(handle) - sizeof(header);
 
 	/* Allocate the storage for the 1bpp data */
-	f->bpp_1 = f_malloc( extent );
-	if ( !f->bpp_1 )
+	f->bpp_1 = f_malloc(extent);
+	if (!f->bpp_1)
 	{
 		myFile_Close(handle);
 		return NULL;
 	}
 
 	/* Load the 1bpp data */
-	if ( myFile_ReadBytes( handle, f->bpp_1, extent ) )
+	if (myFile_ReadBytes(handle, f->bpp_1, extent))
 	{
-		f_free(f->bpp_1); f->bpp_1=0;
+		f_free(f->bpp_1);
+		f->bpp_1 = 0;
 		myFile_Close(handle);
 		return NULL;
 	}
 
 	/* Close the file and set the header, etc. */
-	myFile_Close( handle );
-	f->name = f_malloc(strlen(real_name)+1);
-	if ( !f->name )
+	myFile_Close(handle);
+	f->name = f_malloc(strlen(real_name) + 1);
+	if (!f->name)
 	{
-		f_free(f->bpp_1); f->bpp_1=0;
+		f_free(f->bpp_1);
+		f->bpp_1 = 0;
 		return NULL;
 	}
 
-	strcpy(f->name,real_name);
-	f->w = header.w; f->h = header.h;
-	f->f = header.f; f->l = header.l;
+	strcpy(f->name, real_name);
+	f->w = header.w;
+	f->h = header.h;
+	f->f = header.f;
+	f->l = header.l;
 	f->usage = 1;
 
 	return f;
 }
 
@@ -1474,94 +1545,113 @@
 /*
  | Cache a font at a suitable number of bpp for the current mode
  | Returns 0 for failure, 1 for sucess.
  | If the call fails then the font's bpp_n entry will be NULL.
  */
-static int cache_font_for_mode( ZapFont *f )
+static int cache_font_for_mode(ZapFont *f)
 {
 	ZapRedrawBlock b;
 	char work_area[128];
 	int size;
 
-	if ( !f ) { return 0; }
-	if ( !f->bpp_1 ) { return 0; }
+	if (!f)
+	{
+		return 0;
+	}
+	if (!f->bpp_1)
+	{
+		return 0;
+	}
 
 	b.r_workarea = work_area;
-	SWI( 2,0, SWI_ZapRedraw_ReadVduVars, 0, &b );
+	SWI(2, 0, SWI_ZapRedraw_ReadVduVars, 0, &b);
 
-	b.r_workarea = work_area;		/* Paranoia */
+	b.r_workarea = work_area;	/* Paranoia */
 	b.r_charh = f->h;
 	b.r_charw = f->w;
-	SWI( 4,4, SWI_ZapRedraw_CachedCharSize, b.r_bpp, 0, f->w, f->h,
-			NULL, NULL, &(b.r_cbpl), &(b.r_cbpc) );
+	SWI(4, 4, SWI_ZapRedraw_CachedCharSize, b.r_bpp, 0, f->w, f->h,
+		NULL, NULL, &(b.r_cbpl), &(b.r_cbpc));
 
 	size = 256 * b.r_cbpc;
-	if ( f->bpp_n ) { f_free(f->bpp_n); f->bpp_n = NULL; }
+	if (f->bpp_n)
+	{
+		f_free(f->bpp_n);
+		f->bpp_n = NULL;
+	}
 	f->bpp_n = f_malloc(size);
-	if ( !f->bpp_n ) { return 0; }
+	if (!f->bpp_n)
+	{
+		return 0;
+	}
 
-	b.r_workarea = work_area;		/* Paranoia */
+	b.r_workarea = work_area;	/* Paranoia */
 	b.r_caddr = f->bpp_n;
-	SWI( 5,0, SWI_ZapRedraw_ConvertBitmap, 0, &b, 0, 255, f->bpp_1 );
+	SWI(5, 0, SWI_ZapRedraw_ConvertBitmap, 0, &b, 0, 255, f->bpp_1);
 
 	return 1;
 }
 
 
 
 /*
  | Stop using a font.
  | If the font's usage drops to zero then the font data is purged.
  */
-static void lose_font( ZapFont *f )
+static void lose_font(ZapFont *f)
 {
-	if ( --f->usage )
+	if (--f->usage)
 	{
-		/*debug("Losing font %s (still cached)",f->name);*/
+		/*debug("Losing font %s (still cached)",f->name); */
 		return;
 	}
-	/*debug("Losing font %s (no longer in use)",f->name);*/
-	f_free( f->name );
-	f_free( f->bpp_1 );
-	if ( f->bpp_n ) { f_free(f->bpp_n); }
-	memset(f,0,sizeof(ZapFont));
+	/*debug("Losing font %s (no longer in use)",f->name); */
+	f_free(f->name);
+	f_free(f->bpp_1);
+	if (f->bpp_n)
+	{
+		f_free(f->bpp_n);
+	}
+	memset(f, 0, sizeof(ZapFont));
 }
 
 
 /*
  | Get a font.
  */
-static ZapFont *find_font( char *name )
+static ZapFont *find_font(char *name)
 {
 	ZapFont *f;
 
 	/* Check to see if it's already loaded */
-	f = find_font_by_name( name );
-	if ( f )
+	f = find_font_by_name(name);
+	if (f)
 	{
-		/*debug("Find font %s (already cached)",name);*/
+		/*debug("Find font %s (already cached)",name); */
 		f->usage++;
-		if ( f == SYSTEM_FONT )
+		if (f == SYSTEM_FONT)
 		{
-			if ( !cache_system_font() )
+			if (!cache_system_font())
 				core("Failed to cache system font!");
-			if ( !cache_font_for_mode( SYSTEM_FONT ) )
+			if (!cache_font_for_mode(SYSTEM_FONT))
 				core("Failed to cache system font!");
 		}
 		return f;
 	}
 
 	/* Ok, now check to see if there's a free slot for it */
 	f = find_free_font();
-	if ( !f ) { return NULL; }		/* Oh dear :( */
+	if (!f)
+	{
+		return NULL;
+	}							/* Oh dear :( */
 
 	/* Load the font */
-	/*debug("Find font %s (loading)",name);*/
-	f = load_font( name, f );
-	if ( f )
+	/*debug("Find font %s (loading)",name); */
+	f = load_font(name, f);
+	if (f)
 	{
-		if ( !cache_font_for_mode( f ) )
+		if (!cache_font_for_mode(f))
 			return NULL;
 		return f;
 	}
 	return NULL;
 }
